Bug 17266 - Update man page for koha-remove with -p
Summary: Update man page for koha-remove with -p
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Magnus Enger
QA Contact: Testopia
URL:
Keywords:
Depends on: 9754
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-07 12:22 UTC by Magnus Enger
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17266 - Update man page for koha-remove with -p (1.66 KB, patch)
2016-09-08 13:12 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17266 - Update man page for koha-remove with -p (1.70 KB, patch)
2016-09-08 23:12 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 17266 - Update man page for koha-remove with -p (1.78 KB, patch)
2016-09-12 16:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2016-09-07 12:22:18 UTC
Bug 9754 added the -p|--purge-all option to koha-remove, but this was not documented in the man page. debian/docs/koha-remove.xml needs to be updated.
Comment 1 Magnus Enger 2016-09-08 13:12:53 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2016-09-08 23:12:17 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-09-12 16:31:13 UTC
Created attachment 55512 [details] [review]
Bug 17266 - Update man page for koha-remove with -p

Bug 9754 added the -p|--purge-all option to koha-remove, but this
was not documented in the man page. This patch fixes that.

To test:
Run these commands and look at the formatted man page:
$ xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
  debian/docs/koha-remove.xml
$ man -l koha-remove.8

Make sure this test passes:
$ prove -v xt/verify-debian-docbook.t

Signed-off-by: Liz Rea <liz@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-15 13:46:20 UTC
Pushed to master for 16.11, thanks Magnus!
Comment 5 Frédéric Demians 2016-09-15 15:11:41 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 10:05:51 UTC
Pushed to 3.22.x, will be in 3.22.11